Index: sandbox/workflow/branches/609/inc/class.bo_adminsource.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.bo_adminsource.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.bo_adminsource.inc.php	(revision 2233)
@@ -80,5 +80,5 @@
 		$fileSizeUnit[] = 'Mb';
 		$fileSizeUnit[] = 'Gb';
-		
+
 		$unitSelect = 0;
 		while ($value > 1024.0)
@@ -87,26 +87,26 @@
 			$unitSelect++;
 		}
-	
+
 		$output = round($value, 1);
 		$output .= " " . $fileSizeUnit[$unitSelect];
-	
+
 		return $output;
 	}
-	
+
 	/**
 	* Get process toolbar data
-	* @param  array $p process process data 
-	* @return array
-	* @access public 
-	*/	
-	function get_toolbar_data($p) 
-	{
-		
-		$process_manager = new ProcessManager($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
-		$proc_info       = $process_manager->get_process($p['proc_id']); 
-		
+	* @param  array $p process process data
+	* @return array
+	* @access public
+	*/
+	function get_toolbar_data($p)
+	{
+
+		$process_manager = new ProcessManager(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
+		$proc_info       = $process_manager->get_process($p['proc_id']);
+
 		$web_server_url  = $_SESSION['phpgw_info']['workflow']['server']['webserver_url'];
-		$img_default_dir = $GLOBALS['workflow']['factory']->getInstance('TemplateServer')->generateImageLink('');
-		
+		$img_default_dir = Factory::getInstance('TemplateServer')->generateImageLink('');
+
 		if ($proc_info['wf_is_valid'] == 'y')
 		{
@@ -119,5 +119,5 @@
 			$alt_validity = tra('invalid');
 		}
-	
+
 		// if process is active show stop button. Else show start button, but only if it is valid. If it's not valid, don't show any activation or stop button.
 		if ($proc_info['wf_is_active'] == 'y')
@@ -138,5 +138,5 @@
 			$start_stop_img  = '';
 		}
-	
+
 		/* load other processes link */
 		$proc_ids = $GLOBALS['ajax']->acl->get_granted_processes($_SESSION['phpgw_info']['workflow']['account_id']);
@@ -145,10 +145,10 @@
 		else
 			$where = ' wf_p_id = -1 ';
-	
+
 		$processesInfo = &$process_manager->list_processes(0, -1, 'wf_name__asc', '', $where);
 		$otherProcesses = array();
 		foreach ($processesInfo['data'] as $pi)
 			$otherProcesses[] = array("name" => $pi['wf_name'] . " (v" . $pi['wf_version'] . ")", "link" => $web_server_url . "/index.php?menuaction=workflow.ui_adminsource.form&p_id=" . $pi['wf_p_id'], "pid" => $pi['wf_p_id']);
-	
+
 		$toolbar_data = array (
 			'proc_name'					=> $proc_info['wf_name'],
@@ -177,18 +177,18 @@
 			'other_processes'			=> $otherProcesses
 		);
-			
+
 		return $toolbar_data;
 		}
-		
-		
+
+
 	/**
 	* Get process model files
-	* @param  array $p process process data 
-	* @return array
-	* @access public 
+	* @param  array $p process process data
+	* @return array
+	* @access public
 	*/
 	function get_model_files($p)
 	{
-		switch($p['type']) 
+		switch($p['type'])
 		{
 			case 'include'  : $path = PHPGW_SERVER_ROOT . SEP . 'workflow' . SEP . 'js' . SEP . 'adminsource' . SEP . 'inc';
@@ -203,9 +203,9 @@
 		$files          = array();
 
-		if ($handle = opendir($path)) 
-		{
-			while (false !== ($file_name = readdir($handle))) 
-			{	
-				if (!is_dir($path.SEP.$file_name)) 
+		if ($handle = opendir($path))
+		{
+			while (false !== ($file_name = readdir($handle)))
+			{
+				if (!is_dir($path.SEP.$file_name))
 				{
 					$files[] = array('file_name'     => $file_name);
@@ -217,21 +217,21 @@
 		array_multisort($col_file_name,SORT_ASC,$files);
 
-		return $files; 
+		return $files;
 	}
 
 	/**
 	* Get process php files
-	* @param array $p process data 
-	* @return array
-	* @access public 
+	* @param array $p process data
+	* @return array
+	* @access public
 	*/
 	function get_php_files($p)
 	{
-		$process_manager    = new ProcessManager($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+		$process_manager    = new ProcessManager(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		$proc_info          = $process_manager->get_process($p['proc_id']);
-		$activity_manager   = new ActivityManager($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+		$activity_manager   = new ActivityManager(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		$process_activities = $activity_manager->list_activities($p['proc_id'], 0, -1, 'wf_name__asc', '','',false);
 		$path = GALAXIA_PROCESSES . SEP . $proc_info['wf_normalized_name'] . SEP . 'code' . SEP .'activities' . SEP;
-		
+
 		$files = array();
 
@@ -242,10 +242,10 @@
 		foreach ($process_activities['data'] as $process_activity)
 		{
-			
+
 			$file_name   = $process_activity['wf_normalized_name'].'.php';
 			$activity_id = $process_activity['wf_activity_id'];
 			$tamanho     = filesize($path.$file_name);
 			$modificado  = date('d/m/Y H:i:s', filemtime($path.$file_name) );
-			
+
 			$files[] = array('file_name'     => $file_name,
 							 'activity_id'   => $activity_id,
@@ -258,11 +258,11 @@
 							 'tipo_codigo'   => 'atividade'
 			);
-			
+
 			$col_file_name[]  = $file_name;
 			$col_tamanho[]    = $tamanho;
 			$col_modificado[] = $modificado;
 		}
-		
-		if (isset($p['sort'])) 
+
+		if (isset($p['sort']))
 		{
 			$order_by = ($p['order_by'] == 1) ? SORT_ASC : SORT_DESC;
@@ -279,13 +279,13 @@
 			}
 		}
-		
-		return $files; 
-	}
-	
-	/**
-	* Delete process file 
+
+		return $files;
+	}
+
+	/**
+	* Delete process file
 	* @param array $p process data
 	* @return array
-	* @access public 
+	* @access public
 	*/
 	function delete_file($p)
@@ -293,12 +293,12 @@
 		if ((strpos($p['file_name'],'/') !== false) || (strpos($p['file_name'],'/') !== false))
 			return 'Não foi possível executar a operação solicitada';
-		$process_manager = new ProcessManager($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
-		$proc_info = $process_manager->get_process($p['proc_id']); 
+		$process_manager = new ProcessManager(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
+		$proc_info = $process_manager->get_process($p['proc_id']);
 		$file_name = $p['file_name'];
-		$proc_name = $proc_info['wf_normalized_name']; 
+		$proc_name = $proc_info['wf_normalized_name'];
 		$type      = $p['type'];
 		if (strpos($file_name,'/')) return 'Nome de arquivo inválido.';
 		if (!strlen($proc_name)) return 'ID de Processo inválido.';
-		
+
     switch($type)
     {
@@ -315,17 +315,17 @@
 				$path = GALAXIA_PROCESSES . '/' . $proc_info['wf_normalized_name'] . '/resources/' . $file_name;
             break;
-			
+
     }
-   
-	   	if ($type == 'resource') 
+
+	   	if ($type == 'resource')
 		{
 			$complete_path = $path;
-		} 
-		else 
+		}
+		else
 		{
 			$complete_path = GALAXIA_PROCESSES . SEP . $proc_name . SEP . 'code' . SEP . $path;
 		}
-	
-		if (file_exists($complete_path)) 
+
+		if (file_exists($complete_path))
 		{
 			if (unlink($complete_path))
@@ -342,17 +342,17 @@
 			return 'O arquivo '.$file_name.' não existe.';
 		}
-	}	
-	/**
-	* Create process new file 
+	}
+	/**
+	* Create process new file
 	* @param array $p process
 	* @return array
-	* @access public 
+	* @access public
 	*/
 	function create_file($p)
 	{
-		$process_manager = new ProcessManager($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
-		$proc_info = $process_manager->get_process($p['proc_id']); 
+		$process_manager = new ProcessManager(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
+		$proc_info = $process_manager->get_process($p['proc_id']);
 		$file_name = $p['file_name'];
-		$proc_name = $proc_info['wf_normalized_name']; 
+		$proc_name = $proc_info['wf_normalized_name'];
 		$type      = $p['type'];
 
@@ -386,7 +386,7 @@
 		}
 
-		if (file_exists($complete_path)) 
-		{
-			if (!$p['rewrite']) 
+		if (file_exists($complete_path))
+		{
+			if (!$p['rewrite'])
 			{
 				return FILE_ALREADY_EXISTS;
@@ -396,5 +396,5 @@
 		}
 
-		if ($fp = fopen($complete_path, 'w')) 
+		if ($fp = fopen($complete_path, 'w'))
 		{
 			$basepath = PHPGW_SERVER_ROOT.SEP.'workflow'.SEP.'js'.SEP.'adminsource';
@@ -409,5 +409,5 @@
 			if ($type == 'template' || $type == 'include')
 			{
-				if (file_exists($basepath.SEP.$p['modelo'])) 
+				if (file_exists($basepath.SEP.$p['modelo']))
 				{
 					fwrite($fp,file_get_contents($basepath.SEP.$p['modelo']));
@@ -423,15 +423,15 @@
 		}
 	}
-	
+
 	/**
 	* Get process include files
 	* @param  array $p process
 	* @return array
-	* @access public 
+	* @access public
 	*/
 	function get_include_files($p)
 	{
-		$process_manager    = new ProcessManager($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
-		$proc_info          = $process_manager->get_process($p['proc_id']); 
+		$process_manager    = new ProcessManager(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
+		$proc_info          = $process_manager->get_process($p['proc_id']);
 		$path = GALAXIA_PROCESSES . SEP . $proc_info['wf_normalized_name'] . SEP . 'code';
 
@@ -442,9 +442,9 @@
 		$files          = array();
 
-		if ($handle = opendir($path)) 
-		{
-			while (false !== ($file_name = readdir($handle))) 
-			{	
-				if (!is_dir($path.SEP.$file_name)) 
+		if ($handle = opendir($path))
+		{
+			while (false !== ($file_name = readdir($handle)))
+			{
+				if (!is_dir($path.SEP.$file_name))
 				{
 					$tamanho     = filesize($path.SEP.$file_name);
@@ -467,5 +467,5 @@
 
 
-		if (isset($p['sort'])) 
+		if (isset($p['sort']))
 		{
 			$order_by = ($p['order_by'] == 1) ? SORT_ASC : SORT_DESC;
@@ -483,17 +483,17 @@
 		}
 
-		return $files; 
-	}
-
-	/**
-	* Get process template files 
-	* @param array $p process data 
-	* @return array
-	* @access public 
+		return $files;
+	}
+
+	/**
+	* Get process template files
+	* @param array $p process data
+	* @return array
+	* @access public
 	*/
 	function get_template_files($p)
 	{
-		$process_manager    = new ProcessManager($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
-		$proc_info          = $process_manager->get_process($p['proc_id']); 
+		$process_manager    = new ProcessManager(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
+		$proc_info          = $process_manager->get_process($p['proc_id']);
 		$path = GALAXIA_PROCESSES . SEP . $proc_info['wf_normalized_name'] . SEP . 'code' . SEP .'templates';
 
@@ -502,9 +502,9 @@
 		$col_modificado = array();
 
-		if ($handle = opendir($path)) 
-		{
-			while (false !== ($file_name = readdir($handle))) 
-			{	
-				if (!is_dir($path.SEP.$file_name)) 
+		if ($handle = opendir($path))
+		{
+			while (false !== ($file_name = readdir($handle)))
+			{
+				if (!is_dir($path.SEP.$file_name))
 				{
 					$tamanho     = filesize($path.SEP.$file_name);
@@ -541,19 +541,19 @@
 
         }
-    }	
-
-		return $files; 
-	}
-
-	/**
-	* Upload process resource  
-	* 
+    }
+
+		return $files;
+	}
+
+	/**
+	* Upload process resource
+	*
 	* @param array $p process
 	* @return array
-	* @access public 
+	* @access public
 	*/
 	function upload_resource($p)
 	{
-		$process_manager = new ProcessManager($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+		$process_manager = new ProcessManager(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		$proc_info = $process_manager->get_process($p['proc_id']);
 		$file_name = basename($_FILES['resource_file']['name']);
@@ -587,5 +587,5 @@
 		if (strpos($_REQUEST['file_name'],'/') !== false)
 			return 'Não foi possível executar a operação solicitada';
-		$process_manager    = new ProcessManager($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+		$process_manager    = new ProcessManager(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		$proc_info          = $process_manager->get_process($_REQUEST['proc_id']);
 
@@ -617,5 +617,5 @@
 			$completePath = GALAXIA_PROCESSES . SEP . $proc_name . SEP . 'code' . SEP . $path;
 
-		$GLOBALS['workflow']['factory']->getInstance('ResourcesRedirector')->show($completePath, 'application/force-download');
+		Factory::getInstance('ResourcesRedirector')->show($completePath, 'application/force-download');
 		exit;
 	}
@@ -630,5 +630,5 @@
 	function get_resource_files($p)
 	{
-		$process_manager    = new ProcessManager($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+		$process_manager    = new ProcessManager(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		$proc_info          = $process_manager->get_process($p['proc_id']);
 
Index: sandbox/workflow/branches/609/inc/class.workflow_instancemanager.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.workflow_instancemanager.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.workflow_instancemanager.inc.php	(revision 2233)
@@ -17,5 +17,5 @@
 		function workflow_instancemanager()
 		{
-			parent::InstanceManager($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+			parent::InstanceManager(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		}
 	}
Index: sandbox/workflow/branches/609/inc/class.bo_monitors.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.bo_monitors.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.bo_monitors.inc.php	(revision 2233)
@@ -134,12 +134,12 @@
 	{
 		parent::bo_ajaxinterface();
-		$GLOBALS['ajax']->gui   = new GUI($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+		$GLOBALS['ajax']->gui   = new GUI(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		$this->userID 			= $_SESSION['phpgw_info']['workflow']['account_id'];
 		$this->isWorkflowAdmin  = $GLOBALS['ajax']->acl->checkWorkflowAdmin($this->userID);
-		$this->processManager   = new ProcessManager($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
-		$this->activityManager  = new ActivityManager($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
-		$this->instanceManager  = new InstanceManager($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
-		$this->roleManager 		= new RoleManager($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
-		$this->processMonitor   = new ProcessMonitor($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+		$this->processManager   = new ProcessManager(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
+		$this->activityManager  = new ActivityManager(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
+		$this->instanceManager  = new InstanceManager(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
+		$this->roleManager 		= new RoleManager(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
+		$this->processMonitor   = new ProcessMonitor(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 	}
 
@@ -335,8 +335,8 @@
 	   	$filters[] = '(gia.wf_user IS NOT NULL)';
 
-		$ldap = &$GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP');
+		$ldap = &Factory::getInstance('WorkflowLDAP');
 		if (!$completeData)
 		{
-			$paging = $GLOBALS['workflow']['factory']->newInstance('Paging', 500, $_POST);
+			$paging = Factory::newInstance('Paging', 500, $_POST);
 			$tmp = $this->processMonitor->monitor_list_instances($paging->nextItem, $paging->itemsPerPage, $order, '', implode(' AND ', $filters));
 			$output['data'] = $paging->restrictItems(array_values($tmp['data']), $tmp['cant']);
@@ -353,5 +353,5 @@
 		$activityMapping = array();
 		$instanceCount = count($output['data']);
-		$cachedLDAP = &$GLOBALS['workflow']['factory']->getInstance('CachedLDAP');
+		$cachedLDAP = &Factory::getInstance('CachedLDAP');
 		for ($i = 0; $i < $instanceCount; $i++)
 		{
@@ -476,8 +476,8 @@
 		/* load the data */
 		$filters[] = '(gp.wf_p_id = ' . $params['pid'] . ')';
-		$ldap = &$GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP');
+		$ldap = &Factory::getInstance('WorkflowLDAP');
 		if (!$completeData)
 		{
-			$paging = $GLOBALS['workflow']['factory']->newInstance('Paging', 500, $_POST);
+			$paging = Factory::newInstance('Paging', 500, $_POST);
 			$tmp = $this->processMonitor->monitor_list_completed_instances($paging->nextItem, $paging->itemsPerPage, $order, '', implode(' AND ', $filters));
 			$output['data'] = $paging->restrictItems(array_values($tmp['data']), $tmp['cant']);
@@ -491,5 +491,5 @@
 		}
 
-		$cachedLDAP = &$GLOBALS['workflow']['factory']->getInstance('CachedLDAP');
+		$cachedLDAP = &Factory::getInstance('CachedLDAP');
 		$userMapping = array();
 		$instanceCount = count($output['data']);
@@ -627,5 +627,5 @@
 			}
 			else
-				$output['fullname'] = $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getName($user);
+				$output['fullname'] = Factory::getInstance('WorkflowLDAP')->getName($user);
 
 		$this->instanceManager->set_instance_user($params['iid'], $params['aid'], $user);
@@ -648,5 +648,5 @@
 		if ($params['ns'] == 'aborted')
 		{
-			$realInstance = new Instance($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+			$realInstance = new Instance(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 			$realInstance->getInstance($params['iid']);
 			if (!empty($realInstance->instanceId))
@@ -684,5 +684,5 @@
 
 		/* use next user or * for the new instance */
-		$realInstance = new Instance($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+		$realInstance = new Instance(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		$realInstance->getInstance($params['iid'], false, false);
 		$user = $realInstance->getNextUser($params['aid']);
@@ -751,5 +751,5 @@
 
 		$maximumDisplaySize = 100;
-		$instance = new Instance($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+		$instance = new Instance(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		$instance->getInstance($params['iid']);
 
@@ -783,5 +783,5 @@
 			return "Você não tem permissão para executar este procedimento!";
 
-		$instance = new Instance($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+		$instance = new Instance(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		$instance->getInstance($params['iid']);
 		$output = $params;
@@ -804,5 +804,5 @@
 		$maximumDisplaySize = 100;
 
-		$instance = new Instance($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+		$instance = new Instance(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		$instance->getInstance($params['iid']);
 		$instance->set($params['name'], $params['value']);
@@ -835,5 +835,5 @@
 			return "Você não tem permissão para executar este procedimento!";
 
-		$instance = new Instance($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+		$instance = new Instance(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		$instance->getInstance($params['iid']);
 		$instance->clear($params['name']);
@@ -904,5 +904,5 @@
 		/* prepare the data */
 		$aux2 = array();
-		$ldap = &$GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP');
+		$ldap = &Factory::getInstance('WorkflowLDAP');
 		foreach ($aux as $user => $count)
 			$aux2[] = array(
@@ -984,5 +984,5 @@
 
 		/* load LDAP info and sort the result */
-		$foundUsers = $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getNames($users);
+		$foundUsers = Factory::getInstance('WorkflowLDAP')->getNames($users);
 		usort($foundUsers, create_function('$a,$b', 'return strcasecmp($a[\'name\'],$b[\'name\']);'));
 
@@ -991,5 +991,5 @@
 		if (count($users) > count($foundUsers))
 		{
-			$cachedLDAP = &$GLOBALS['workflow']['factory']->getInstance('CachedLDAP');
+			$cachedLDAP = &Factory::getInstance('CachedLDAP');
 			$foundUsersID = array_map(create_function('$a', 'return $a[\'id\'];'), $foundUsers);
 			$missingUsers = array_diff($users, $foundUsersID);
@@ -1242,5 +1242,5 @@
 			return $output;
 
-		$BOUserInterface = &$GLOBALS['workflow']['factory']->getInstance('bo_userinterface');
+		$BOUserInterface = &Factory::getInstance('bo_userinterface');
 
 		/* initialize some variables */
@@ -1344,5 +1344,5 @@
 
 		/* load the recipient e-mail */
-		$ldap = &$GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP');
+		$ldap = &Factory::getInstance('WorkflowLDAP');
 		foreach ($output as $key => $value)
 		{
@@ -1396,5 +1396,5 @@
 
 		/* prepare the environment to load some configuration values from other module */
-		$GLOBALS['phpgw']->db = &$GLOBALS['workflow']['workflowObjects']->getDBExpresso();
+		$GLOBALS['phpgw']->db =& Factory::getInstance('WorkflowObjects')->getDBExpresso();
 		$GLOBALS['phpgw']->common = CreateObject('phpgwapi.common');
 		$GLOBALS['phpgw']->session = CreateObject('phpgwapi.sessions');
@@ -1402,5 +1402,5 @@
 
 		/* get the required configuration */
-		$BOEmailAdmin = $GLOBALS['workflow']['factory']->newForeignInstance('emailadmin', 'bo');
+		$BOEmailAdmin = Factory::newForeignInstance('emailadmin', 'bo');
 		$profileList = $BOEmailAdmin->getProfileList();
 		$profile = $BOEmailAdmin->getProfile($profileList[0]['profileID']);
@@ -1494,6 +1494,6 @@
 	{
 		$output = array();
-		$cachedLDAP = &$GLOBALS['workflow']['factory']->getInstance('CachedLDAP');
-		$ldap = &$GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP');
+		$cachedLDAP = &Factory::getInstance('CachedLDAP');
+		$ldap = &Factory::getInstance('WorkflowLDAP');
 		foreach ($userIDs as $userID)
 		{
@@ -1542,5 +1542,5 @@
 	   	$filters[] = '(gia.wf_user IS NOT NULL)';
 
-		$cachedLDAP = &$GLOBALS['workflow']['factory']->newInstance('CachedLDAP');
+		$cachedLDAP = &Factory::newInstance('CachedLDAP');
 		$cachedLDAP->setOperationMode($cachedLDAP->OPERATION_MODE_LDAP);
 		$output = array();
@@ -1559,5 +1559,5 @@
 		}
 
-		$validUsers = $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getNames(array_keys($userIDs));
+		$validUsers = Factory::getInstance('WorkflowLDAP')->getNames(array_keys($userIDs));
 		array_walk($validUsers, create_function('&$a', '$a = $a[\'id\'];'));
 
Index: sandbox/workflow/branches/609/inc/class.ui_phpeditor.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.ui_phpeditor.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.ui_phpeditor.inc.php	(revision 2233)
@@ -62,6 +62,6 @@
 	function form()
 	{
-		$smarty = $GLOBALS['workflow']['factory']->getInstance('workflow_smarty', false);
-		$processManager = new ProcessManager($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+		$smarty = Factory::getInstance('workflow_smarty', false);
+		$processManager = new ProcessManager(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		$proccessInfo = $processManager->get_process($_GET['proc_id']);
 
Index: sandbox/workflow/branches/609/inc/class.ResourcesRedirector.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.ResourcesRedirector.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.ResourcesRedirector.inc.php	(revision 2233)
@@ -54,5 +54,5 @@
 		if (!isset($_SESSION['workflow']['ResourcesRedirector'][$this->pid]))
 		{
-			$result = $GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID->query('SELECT wf_normalized_name FROM egw_wf_processes WHERE wf_p_id = ?', array($this->pid));
+			$result = Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID->query('SELECT wf_normalized_name FROM egw_wf_processes WHERE wf_p_id = ?', array($this->pid));
 			if ($result->numRows() != 1)
 				return;
@@ -94,5 +94,5 @@
 				{
 					/* em último caso, tenta buscar a informação em banco de dados */
-					$result = $GLOBALS['workflow']['workflowObjects']->getDBExpresso()->Link_ID->query('SELECT config_value FROM phpgw_config WHERE config_app = ? AND config_name = ?', array('phpgwapi', 'files_dir'));
+					$result = Factory::getInstance('WorkflowObjects')->getDBExpresso()->Link_ID->query('SELECT config_value FROM phpgw_config WHERE config_app = ? AND config_name = ?', array('phpgwapi', 'files_dir'));
 					if (empty($result))
 						return;
Index: sandbox/workflow/branches/609/inc/class.workflow_wfsecurity.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.workflow_wfsecurity.inc.php	(revision 1712)
+++ sandbox/workflow/branches/609/inc/class.workflow_wfsecurity.inc.php	(revision 2233)
@@ -18,5 +18,5 @@
 		function workflow_wfsecurity()
 		{
-			parent::WfSecurity($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+			parent::WfSecurity(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		}
 	}
Index: sandbox/workflow/branches/609/inc/class.ui_orgchart.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.ui_orgchart.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.ui_orgchart.inc.php	(revision 2233)
@@ -153,5 +153,5 @@
 				return false;
 
-			$ldap = &$GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP');
+			$ldap = &Factory::getInstance('WorkflowLDAP');
 			for ($i = 0; $i < count($output); $i++)
 			{
Index: sandbox/workflow/branches/609/inc/class.ui_adminaccess.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.ui_adminaccess.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.ui_adminaccess.inc.php	(revision 2233)
@@ -41,5 +41,5 @@
 	function ui_adminaccess()
 	{
-		if (!$GLOBALS['workflow']['factory']->getInstance('workflow_acl')->checkWorkflowAdmin($GLOBALS['phpgw_info']['user']['account_id']))
+		if (!Factory::getInstance('workflow_acl')->checkWorkflowAdmin($GLOBALS['phpgw_info']['user']['account_id']))
 		{
 			$GLOBALS['phpgw']->common->phpgw_header();
